Main Page Modules Alphabetical List Data Structures File List Data Fields Globals # IxAtmdAccCtrl.h File Reference IxAtmdAcc Public API. More... Go to the source code of this file.
## Data Structures
struct | IxAtmdAccUtopiaConfig
| Utopia configuration. More...
struct | IxAtmdAccUtopiaConfig::UtRxConfig_
| Utopia Rx config Register. More...
struct | IxAtmdAccUtopiaConfig::UtRxDefineIdle_
| Utopia Rx idle cells config Register. More...
struct | IxAtmdAccUtopiaConfig::UtRxEnableFields_
| Utopia Rx enable Register. More...
struct | IxAtmdAccUtopiaConfig::UtRxStatsConfig_
| Utopia Rx stats config Register. More...
struct | IxAtmdAccUtopiaConfig::UtRxTransTable0_
| Utopia Rx translation table Register. More...
struct | IxAtmdAccUtopiaConfig::UtRxTransTable1_
| Utopia Rx translation table Register. More...
struct | IxAtmdAccUtopiaConfig::UtRxTransTable2_
| Utopia Rx translation table Register. More...
struct | IxAtmdAccUtopiaConfig::UtRxTransTable3_
| Utopia Rx translation table Register. More...
struct | IxAtmdAccUtopiaConfig::UtRxTransTable4_
| Utopia Rx translation table Register. More...
struct | IxAtmdAccUtopiaConfig::UtRxTransTable5_
| Utopia Rx translation table Register. More...
struct | IxAtmdAccUtopiaConfig::UtSysConfig_
| NPE setup Register. More...
struct | IxAtmdAccUtopiaConfig::UtTxConfig_
| Utopia Tx Config Register. More...
struct | IxAtmdAccUtopiaConfig::UtTxDefineIdle_
| Utopia Tx idle cells Register. More...
struct | IxAtmdAccUtopiaConfig::UtTxEnableFields_
| Utopia Tx ienable fields Register. More...
struct | IxAtmdAccUtopiaConfig::UtTxStatsConfig_
| Utopia Tx stats Register. More...
struct | IxAtmdAccUtopiaConfig::UtTxTransTable0_
| Utopia Tx translation table Register. More...
struct | IxAtmdAccUtopiaConfig::UtTxTransTable1_
| Utopia Tx translation table Register. More...
struct | IxAtmdAccUtopiaConfig::UtTxTransTable2_
| Utopia Tx translation table Register. More...
struct | IxAtmdAccUtopiaConfig::UtTxTransTable3_
| Utopia Tx translation table Register. More...
struct | IxAtmdAccUtopiaConfig::UtTxTransTable4_
| Utopia Tx translation table Register. More...
struct | IxAtmdAccUtopiaConfig::UtTxTransTable5_
| Utopia Tx translation table Register. More...
struct | IxAtmdAccUtopiaStatus
| Utopia status. More...
struct | IxAtmdAccUtopiaStatus::UtRxCellConditionStatus_
| Utopia Rx Status Register. More...
struct | IxAtmdAccUtopiaStatus::UtTxCellConditionStatus_
| Utopia Tx Status Register. More...
## Defines
#define | IX_ATMDACC_PORT_DISABLE_IN_PROGRESS
| Port enable return code.
#define | IX_ATMDACC_ALLPDUS
| All PDUs.
## Typedefs
typedef IX_STATUS(* | IxAtmdAccRxDispatcher )(IxAtmRxQueueId rxQueueId, unsigned int numberOfPdusToProcess, unsigned int *reservedPtr)
| Callback prototype for notification of available PDUs for an Rx Q.
typedef IX_STATUS(* | IxAtmdAccTxDoneDispatcher )(unsigned int numberOfPdusToProcess, unsigned int *reservedPtr)
| Callback prototype for transmitted mbuf when threshold level is crossed.
typedef void(* | IxAtmdAccPortTxLowCallback )(IxAtmLogicalPort port, unsigned int numberOfAvailableCells)
| Notification that the threshold number of scheduled cells remains in a port's transmit Q.
typedef IX_STATUS(* | IxAtmdAccTxVcDemandUpdateCallback )(IxAtmLogicalPort port, int vcId, unsigned int numberOfCells)
| Prototype to submit cells for transmission.
typedef void(* | IxAtmdAccTxVcDemandClearCallback )(IxAtmLogicalPort port, int vcId)
| prototype to remove all currently queued cells from a registered VC
typedef IX_STATUS(* | IxAtmdAccTxSchVcIdGetCallback )(IxAtmLogicalPort port, unsigned int vpi, unsigned int vci, IxAtmConnId connId, int *vcId)
| prototype to get a scheduler vc id
## Functions
PUBLIC IX_STATUS | ixAtmdAccRxDispatcherRegister (IxAtmRxQueueId queueId, IxAtmdAccRxDispatcher callback)
| Register a notification callback to be invoked when there is at least one entry on a particular Rx queue.
PUBLIC IX_STATUS | ixAtmdAccRxDispatch (IxAtmRxQueueId rxQueueId, unsigned int numberOfPdusToProcess, unsigned int *numberOfPdusProcessedPtr)
| Control function which executes Rx processing for a particular Rx stream.
PUBLIC IX_STATUS | ixAtmdAccRxLevelQuery (IxAtmRxQueueId rxQueueId, unsigned int *numberOfPdusPtr)
| Query the number of entries in a particular RX queue.
PUBLIC IX_STATUS | ixAtmdAccRxQueueSizeQuery (IxAtmRxQueueId rxQueueId, unsigned int *numberOfPdusPtr)
| Query the size of a particular RX queue.
PUBLIC IX_STATUS | ixAtmdAccPortTxFreeEntriesQuery (IxAtmLogicalPort port, unsigned int *numberOfCellsPtr)
| Get the number of available cells the system can accept for transmission.
PUBLIC IX_STATUS | ixAtmdAccPortTxCallbackRegister (IxAtmLogicalPort port, unsigned int numberOfCells, IxAtmdAccPortTxLowCallback callback)
| Configure the Tx port threshold value and register a callback to handle threshold notifications.
PUBLIC IX_STATUS | ixAtmdAccPortTxScheduledModeEnable (IxAtmLogicalPort port, IxAtmdAccTxVcDemandUpdateCallback vcDemandUpdateCallback, IxAtmdAccTxVcDemandClearCallback vcDemandClearCallback, IxAtmdAccTxSchVcIdGetCallback vcIdGetCallback)
| Put the port into Scheduled Mode.
PUBLIC IX_STATUS | ixAtmdAccPortTxProcess (IxAtmLogicalPort port, IxAtmScheduleTable *scheduleTablePtr)
| Transmit queue cells to the H/W based on the supplied schedule table.
PUBLIC IX_STATUS | ixAtmdAccTxDoneDispatch (unsigned int numberOfPdusToProcess, unsigned int *numberOfPdusProcessedPtr)
| Process a number of pending transmit done pdus from the hardware.
PUBLIC IX_STATUS | ixAtmdAccTxDoneLevelQuery (unsigned int *numberOfPdusPtr)
| Query the current number of transmit pdus ready for recycling.
PUBLIC IX_STATUS | ixAtmdAccTxDoneQueueSizeQuery (unsigned int *numberOfPdusPtr)
| Query the TxDone queue size.
PUBLIC IX_STATUS | ixAtmdAccTxDoneDispatcherRegister (unsigned int numberOfPdus, IxAtmdAccTxDoneDispatcher notificationCallback)
| Configure the Tx Done stream threshold value and register a callback to handle threshold notifications.
PUBLIC IX_STATUS | ixAtmdAccUtopiaConfigSet (const IxAtmdAccUtopiaConfig *ixAtmdAccUtopiaConfigPtr)
| Send the configuration structure to the Utopia interface.
PUBLIC IX_STATUS | ixAtmdAccUtopiaStatusGet (IxAtmdAccUtopiaStatus *ixAtmdAccUtopiaStatus)
| Get the Utopia interface configuration.
PUBLIC IX_STATUS | ixAtmdAccPortEnable (IxAtmLogicalPort port)
| enable a PHY logical port
PUBLIC IX_STATUS | ixAtmdAccPortDisable (IxAtmLogicalPort port)
| disable a PHY logical port
PUBLIC BOOL | ixAtmdAccPortDisableComplete (IxAtmLogicalPort port)
| disable a PHY logical port
## Detailed Description IxAtmdAcc Public API. Date: 20-Mar-2002 This file contains the public API of IxAtmdAcc, related to the control functions of the component. Version: Revision 1.20 -- Intel Copyright Notice -- Copyright 2002-2003 Intel Corporation All Rights Reserved. The source code contained or described herein and all documents related to the source code ("Material") are owned by Intel Corporation or its suppliers or licensors. Title to the Material remains with Intel Corporation or its suppliers and licensors. The Material is protected by worldwide copyright and trade secret laws and treaty provisions. No part of the Material may be used, copied, reproduced, modified, published, uploaded, posted, transmitted, distributed, or disclosed in any way except in accordance with the applicable license agreement . No license under any patent, copyright, trade secret or other intellectual property right is granted to or conferred upon you by disclosure or delivery of the Materials, either expressly, by implication, inducement, estoppel, except in accordance with the applicable license agreement. Unless otherwise agreed by Intel in writing, you may not remove or alter this notice or any other notice embedded in Materials by Intel or Intel's suppliers or licensors in any way. For further details, please see the file README.TXT distributed with this software. -- End Intel Copyright Notice -- Definition in file IxAtmdAccCtrl.h.
Automatically generated from sources. © Intel Corp. 2003